This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1023741 - Reconstruct isn't being executed as expected on different master version between engine and vdsm
Reconstruct isn't being executed as expected on different master version betw...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Liron Aravot
Elad
storage
:
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-10-27 10:42 EDT by Liron Aravot
Modified: 2016-02-10 15:56 EST (History)
8 users (show)

See Also:
Fixed In Version: is21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20564 None None None Never
oVirt gerrit 20584 None None None Never

  None (edit)
Description Liron Aravot 2013-10-27 10:42:24 EDT
Description of problem:
Reconstruct isn't being executed

How reproducible:
Have a master domain version different between vdsm and engine


Steps to Reproduce:
1. Have a pool with 2 domains
2. increment the master domain version in the engine db, causing the version to be different between engine and vdsm

Actual results:
Reconstruct isn't being executed as execpted.

Expected results:
Reconstruct should be executed as expected.
Comment 1 Elad 2013-11-14 06:40:16 EST
Reconstruct is being executed in case there is a mismatch between master version in DB and storage metadata.


Checked on is23:
rhevm-3.3.0-0.33.beta1.el6ev.noarch
vdsm-4.13.0-0.8.beta1.el6ev.x86_64
Comment 2 Itamar Heim 2014-01-21 17:31:19 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:31:20 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:34:05 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.